YepAPI
TikTok API

User Following

Get a list of accounts that a TikTok user follows.

POST/v1/tiktok/user-following
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/tiktok/user-following', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ user_id: '6842123456789012345' }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/tiktok/user-following \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"user_id": "6842123456789012345"}'

Request Body

ParameterTypeRequiredDescriptionDefault
user_idstringYesTikTok user ID (numeric)
cursorstringNoPagination cursor from previous response
countnumberNoNumber of results to return20

Response

{
  "ok": true,
  "data": {
    "has_more": true,
    "cursor": "50",
    "following": [
      {
        "user_id": "6891234567890123456",
        "unique_id": "gordonramsay",
        "nickname": "Gordon Ramsay",
        "avatar": "https://p16-sign.tiktokcdn.com/...",
        "signature": "Official TikTok of Gordon Ramsay",
        "follower_count": 45000000,
        "is_verified": true
      }
    ]
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.has_morebooleanWhether more results are available
data.cursorstringCursor for fetching the next page
data.followingobject[]Array of followed user objects
data.following[].user_idstringUser's unique numeric identifier
data.following[].unique_idstringUser's unique handle
data.following[].nicknamestringUser's display name
data.following[].avatarstringProfile picture URL
data.following[].signaturestringBio text
data.following[].follower_countnumberNumber of followers
data.following[].is_verifiedbooleanWhether the user is verified

Use the cursor value from the response to paginate through results.

On this page